PRAGMA foreign_keys=off;

BEGIN TRANSACTION;

ALTER TABLE services RENAME TO temp_services;

CREATE TABLE services (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  service_id text NOT NULL,
  channel_number integer NOT NULL,
  title text NOT NULL,
  genre text NOT NULL,
  format text NOT NULL COLLATE NOCASE,
  adult integer DEFAULT(0 ),
  available_ott integer DEFAULT(0 ),
  available_broadcast integer DEFAULT(0 )
);

INSERT INTO services
    SELECT _id,
           service_id,
           channel_number,
           title,
           genre,
           format,
           adult,
           available_ott,
           available_broadcast
    FROM temp_services;

DROP TABLE temp_services;

COMMIT;

PRAGMA foreign_keys=on;
